::DOS Batch file
::usage: startConsole.bat
::This batch file will read XQuery from the file and execute it

@echo off 
if "%1"=="" goto showmsg

if "%1"=="--help" goto showhelp

java -Xmx1024m -classpath .;RainbowSupport.jar edu.wpi.cs.dsrg.xmldb.xat.testfiles.TestSXE %1 %2 %3 %4 %5 %6 %7
goto done


:showmsg
echo Missing Arguments. ( "%0 --help" for help)
goto done

:showhelp
echo Usage:
echo   1. %0 --help
echo      Showing this help massage and exit.
echo   2. %0 one XQueryFileName [decor] [rewrite] [schema] exec [debug]
echo      one: provided XQuery is user XQuery only, no view XQuery
echo      XQueryFileName: XQuery to be executed
echo      decor: adding query decoralation step after XAT treee generation step
echo      rewrite: adding query rewriting optimization step
echo      schema: adding schema cleanup step
echo      exec: execute selected XQuery
echo      debug: output all infomation verbosely
echo. 
echo Please report bugs to rainbow@wpi.edu
goto done

:done